package com.lynx.tasm.behavior.ui.view;

import X.C4373QmA;
import X.C4398QmZ;
import X.QNL;
import X.QWZ;
import android.content.Context;
import com.bytedance.covode.number.Covode;

public class UIComponent extends UIView {
    public String LIZ;

    static {
        Covode.recordClassIndex(46804);
    }

    public void onLayoutUpdated() {
        super.onLayoutUpdated();
    }

    @QNL(LIZ = "item-key")
    public void setItemKey(String str) {
        this.LIZ = str;
    }

    public final C4373QmA LIZ(Context context) {
        return new QWZ(context);
    }

    public UIComponent(C4398QmZ qmZ) {
        super(qmZ);
        if (qmZ.LJIILL) {
            this.mOverflow = 3;
        }
    }
}
